LaserProfileMove Class

class NXOpen.CAM.LaserProfileMove

Bases: NXOpen.CAM.MoveBuilder

Represents a LaserProfileMove

To create a new instance of this class, use NXOpen.CAM.MoveCollection.CreateLaserProfileMove()

New in version NX9.0.0.

Properties

Property Description
CollisionCheck Returns or sets the Collision Check
CutDirection Returns the Cut Direction
FeedRate Returns or sets the feed rate
FeedType Returns or sets the feed type
FeedUnit Returns or sets the feed unit
HeadOrientation Returns the Head Orientation
InterpMethod Returns or sets the Interpolation Method
List Returns the List
MaxGapDist Returns or sets the Max Gap Distance
MaxTiltAngle Returns or sets the Max Tilt Angle
MotionType Returns or sets the motion type
NumberOfUserParameters Returns the number of user parameters
ProfileSection Returns or sets the Profile Section
ProtectedMove Returns or sets the protected move status
ShapeType Returns or sets the Shape Type
SubopLabel Returns or sets the subop label
Tag Returns the Tag for this object.
ToolSide Returns or sets the Tool Side

Methods

Method Description
Commit Commits any edits that have been applied to the builder.
CreateControlPoint Create a new Laser Control Point
Destroy Deletes the builder, and cleans up any objects created by the builder.
GetCommittedObjects For builders that create more than one object, this method returns the objects that are created by commit.
GetObject Returns the object currently being edited by this builder.
GetUserParameter Returns the custom parameter with the given name.
SetParent Set parent
SetSibling Set sibling
ShowResults Updates the model to reflect the result of an edit to the model for all builders that support showing results.
Validate Validate whether the inputs to the component are sufficient for commit to be called.

Enumerations

LaserProfileMoveCollisionChecks Enumeration the Collision Check enum
LaserProfileMoveInterpMethods Enumeration the Interpolation Method enum
LaserProfileMoveShapeTypes Enumeration the Shape Type enum
LaserProfileMoveToolSides Enumeration the Tool Side enum

Property Detail

CollisionCheck

LaserProfileMove.CollisionCheck

Returns or sets the Collision Check

-------------------------------------

Getter Method

Signature CollisionCheck

Returns:the collision check
Return type:NXOpen.CAM.LaserProfileMoveCollisionChecks

New in version NX9.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature CollisionCheck

Parameters:type (NXOpen.CAM.LaserProfileMoveCollisionChecks) – the collision check

New in version NX9.0.0.

License requirements: cam_base (“CAM BASE”)

CutDirection

LaserProfileMove.CutDirection

Returns the Cut Direction

-------------------------------------

Getter Method

Signature CutDirection

Returns:
Return type:NXOpen.CAM.LaserCutDirection

New in version NX9.0.0.

License requirements: None.

HeadOrientation

LaserProfileMove.HeadOrientation

Returns the Head Orientation

-------------------------------------

Getter Method

Signature HeadOrientation

Returns:
Return type:NXOpen.CAM.LaserHeadOrientation

New in version NX9.0.0.

License requirements: None.

InterpMethod

LaserProfileMove.InterpMethod

Returns or sets the Interpolation Method

-------------------------------------

Getter Method

Signature InterpMethod

Returns:the interpolation method
Return type:NXOpen.CAM.LaserProfileMoveInterpMethods

New in version NX9.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature InterpMethod

Parameters:type (NXOpen.CAM.LaserProfileMoveInterpMethods) – the interpolation method

New in version NX9.0.0.

License requirements: cam_base (“CAM BASE”)

List

LaserProfileMove.List

Returns the List

-------------------------------------

Getter Method

Signature List

Returns:
Return type:NXOpen.CAM.LaserControlPointList

New in version NX9.0.0.

License requirements: None.

MaxGapDist

LaserProfileMove.MaxGapDist

Returns or sets the Max Gap Distance

-------------------------------------

Getter Method

Signature MaxGapDist

Returns:the Max Gap Distance
Return type:float

New in version NX9.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature MaxGapDist

Parameters:newValue (float) – the Max Gap Distance

New in version NX9.0.0.

License requirements: cam_base (“CAM BASE”)

MaxTiltAngle

LaserProfileMove.MaxTiltAngle

Returns or sets the Max Tilt Angle

-------------------------------------

Getter Method

Signature MaxTiltAngle

Returns:the Max Tilt Angle
Return type:float

New in version NX9.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature MaxTiltAngle

Parameters:newValue (float) – the Max Tilt Angle

New in version NX9.0.0.

License requirements: cam_base (“CAM BASE”)

ProfileSection

LaserProfileMove.ProfileSection

Returns or sets the Profile Section

-------------------------------------

Getter Method

Signature ProfileSection

Returns:the Profile Section
Return type:NXOpen.Section

New in version NX9.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ProfileSection

Parameters:profileSection (NXOpen.Section) – the Profile Section

New in version NX9.0.0.

License requirements: cam_base (“CAM BASE”)

ShapeType

LaserProfileMove.ShapeType

Returns or sets the Shape Type

-------------------------------------

Getter Method

Signature ShapeType

Returns:the shape type
Return type:NXOpen.CAM.LaserProfileMoveShapeTypes

New in version NX9.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ShapeType

Parameters:type (NXOpen.CAM.LaserProfileMoveShapeTypes) – the shape type

New in version NX9.0.0.

License requirements: cam_base (“CAM BASE”)

ToolSide

LaserProfileMove.ToolSide

Returns or sets the Tool Side

-------------------------------------

Getter Method

Signature ToolSide

Returns:the tool side
Return type:NXOpen.CAM.LaserProfileMoveToolSides

New in version NX9.0.0.

License requirements: None.

-------------------------------------

Setter Method

Signature ToolSide

Parameters:type (NXOpen.CAM.LaserProfileMoveToolSides) – the tool side

New in version NX9.0.0.

License requirements: cam_base (“CAM BASE”)

Method Detail

CreateControlPoint

LaserProfileMove.CreateControlPoint

Create a new Laser Control Point

Signature CreateControlPoint(headOrientType, pointTag, csysTag, processType, toggle, udePathTag, pointType)

Parameters:
Returns:

the control points

Return type:

NXOpen.CAM.LaserControlPoint

New in version NX9.0.0.

License requirements: cam_base (“CAM BASE”)

Validate

LaserProfileMove.Validate

Validate whether the inputs to the component are sufficient for commit to be called.

If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven’t set it. This method throws a not-yet-implemented NXException for some components.

Signature Validate()

Returns:Was self validation successful
Return type:bool

New in version NX3.0.1.

License requirements: None.